SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEvaluationPlansExpired]
AS
BEGIN
	SET NOCOUNT ON 

	SELECT EP.[ID]										'id',
			AEP.[IdInteraction]							'idInteraction',
			AEP.[IdAuditor]								'idAuditor',
			AEP.[instance]								'vcc',
			AEP.[LastModifiedByUserId]					'lastModifiedByUserId'
		FROM [AuditorEvaluationPlan] AEP (NOLOCK) 
		INNER JOIN [EvaluationPlan] EP (NOLOCK) 
			ON (EP.[Instance] = EP.Instance
				AND EP.[ID] = AEP.IdEvaluationPlan) 
		WHERE EP.[DateFin] < GETUTCDATE()
			AND AEP.[Completed] = 0
			AND AEP.[StatusDescription] NOT IN('INVALID')
			AND EP.[Enabled] = 1
			AND AEP.[Status] = 1
			AND AEP.[IdAuditor] <> 'SPEECH'
			AND EP.[Evaluation_Mode] <> 'A'

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
