SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetHistoricAgents] 
(
	@Vcc					VARCHAR(50) = NULL, 
	@ExcludesWorkGroupSup	BIT 
) 
AS
BEGIN
	WITH ResultAgent AS (	
		SELECT 
			[AU].[Agent]  'id',
			[AU].[Agent]  'description'
		FROM [dbo].[Audio] AU (NOLOCK)
		WHERE [AU].[VCC] = @Vcc
		AND (@ExcludesWorkGroupSup = 0
				OR
			(@ExcludesWorkGroupSup = 1 AND [AU].[Agent] NOT IN (SELECT WKS.AgentId FROM dbo.WorkGroupSupervisor WKS (NOLOCK) WHERE WKS.VCC = @Vcc))
			)
		UNION 
		SELECT 
			[IEP].[IdAgent] AS 'id',
			[IEP].[IdAgent] AS 'description'
		FROM [dbo].[InteractionEvaluationPlan] IEP (NOLOCK)
		WHERE [IEP].[Instance] = @Vcc
		AND (@ExcludesWorkGroupSup = 0
				OR
			(@ExcludesWorkGroupSup = 1 AND [IEP].[IdAgent] NOT IN  (SELECT WKS.AgentId FROM dbo.WorkGroupSupervisor WKS (NOLOCK) WHERE WKS.VCC = @Vcc))
			)
	)

	SELECT 
		R.id AS 'id', 
		R.description AS 'description' ,
		(
			SELECT STUFF((
				SELECT ',' + [idcampaign] + ''
				FROM (
					SELECT DISTINCT [AU2].[Campaign] AS 'idcampaign'
					FROM [dbo].[Audio] AU2 (NOLOCK)
					WHERE [AU2].[VCC] = @Vcc AND [AU2].[Agent] = R.id

					UNION

					SELECT DISTINCT [IE2].[IdCampaign] AS 'idcampaign'
					FROM [dbo].[InteractionEvaluationPlan] IE2 (NOLOCK)
					WHERE [IE2].[Instance] = @Vcc AND [IE2].[IdAgent] = R.id
				) campaigns
				FOR XML PATH(''), TYPE
			).value('.', 'NVARCHAR(MAX)'), 1, 1, '') 
		) AS 'campaigns'
	FROM ResultAgent R

	
END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
